using Microsoft.AspNetCore.Mvc.RazorPages;

namespace Upload_Sketch_Server_Core_Razor.Pages
{
    public class IndexModel : PageModel
    {
        private IWebHostEnvironment Environment;

        public IndexModel(IWebHostEnvironment _environment)
        {
            this.Environment = _environment;
        }

        public void OnGet()
        {
        }

        public void OnPostSave(string imageData)
        {
            string base64 = imageData.Split(',')[1];

            //Convert Base64 string to Byte Array.
            byte[] bytes = Convert.FromBase64String(base64);

            string folderPath = Path.Combine(this.Environment.WebRootPath, "Files");

            if (!Directory.Exists(folderPath))
            {
                Directory.CreateDirectory(folderPath);
            }

            //Save the Byte Array as Image File.
            System.IO.File.WriteAllBytes(string.Format("{0}\\{1}.png", folderPath, Path.GetRandomFileName()), bytes);
        }
    }
}
